package models

import (

	"go-admin/common/models"

)

type LineSymbolBlack struct {
    models.Model
    
    Symbol string `json:"symbol" gorm:"type:varchar(255);comment:交易对"` 
    Type string `json:"type" gorm:"type:enum('1','2');comment:类型:1=现货,2=合约"` 
    models.ModelTime
    models.ControlBy
}

func (LineSymbolBlack) TableName() string {
    return "line_symbol_black"
}

func (e *LineSymbolBlack) Generate() models.ActiveRecord {
	o := *e
	return &o
}

func (e *LineSymbolBlack) GetId() interface{} {
	return e.Id
}